QGIS slows down dramatically if 'ask for datum transformation' dialog option is on
Status: Closed

Priority: Severe/Regression

Assignee:

Category: Projection Support

Affected QGIS version:2.2.0 Regression?: No

Operating System: windows / osgeo4w Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18358
Description

Qgis slows down dramatically when opening projects with layers in differents projections, if that option is enabled.

Not showing the dialog does a good workaround the issue.

This is a real blocker, discovered on the first 2.2 release training day here. Every client was stucked sometimes for 20 minutes.. Really
hard to diagnose indeed.

Would be really great to backport.

Cheers

Régis

History

#1 - 2014-03-20 08:17 AM - Michael Douchin
Hi,
You mean when on-the-fly projection is enabled, and the project contains several layers with different CRS ?

In the workaround mentionned, which dialog are you talking of ?

#2 - 2014-03-20 08:26 AM - Regis Haubourg
- File bug_qgis_22.png added

Salut Michael.

The mentionned dialog is in attached file. Problem remains if qgs file properties where saved with OTF Off.

#3 - 2014-03-21 01:09 AM - Marco Hugentobler
- Status changed from Open to Feedback

From the description, it is not clear to me what you mean by 'slowness'. Is it a) that the users had to make a choice for the datum transformation when
opening projects saved with older versions (and click 'remember') or b) was the application also slower if all the datum transform information has been
present?

#4 - 2014-03-21 01:51 AM - Regis Haubourg

Well, after the first dialog warning for older ggs version, then, layers are loaded. First layers are loaded fast, until a layer requiring reprojection is hit. No
datum dialog raise, but QGIS waits for sometimes 10 minutes on each layer after that..
I will check if list of datum reprojections set in general option has an effect..

#5 - 2014-06-09 11:34 AM - Martin Dobias

Please test again if the problem persists in current master (there have been some changes in the implementation)

#6 - 2014-06-13 03:41 AM - Pedro Venancio

| can confirm this in QGIS 2.2, not only when opening a saved project, but also when adding two layers (it's more noticeable with heavy layers) with

different datum. The datum transformation dialog box takes a long time to appear.

With QGIS master, everything seems to be resolved.

#7 - 2014-06-13 03:41 AM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Please reopen if necessary.
